| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::CustomStepsDoubleSpinBox Class Reference
Inheritance diagram for Digikam::CustomStepsDoubleSpinBox:

## Public Member Functions
| CustomStepsDoubleSpinBox (QWidget *const parent=nullptr)
| This is a normal QDoubleSpinBox which allows to customize the stepping behavior, for cases where linear steps are not applicable.
void | reset ()
| Resets to minimum value.
void | setInvertStepping (bool invert)
void | setSingleSteps (double smaller, double larger)
| Allows to set to different default single steps, for the range below m_values, the other for above.
void | setSuggestedInitialValue (double initialValue)
| Sets the value that should be set as first value when first moving away from the minimum value.
void | setSuggestedValues (const QList< double > &values)
| Set a list of values that are usually applicable for the type of data of the combo box.
void | stepBy (int steps) override

## Member Function Documentation

## ◆ setSuggestedValues()

void Digikam::CustomStepsDoubleSpinBox::setSuggestedValues | ( | const QList< double > & | values | ) |

The user can still type in any other value. Boundaries are not touched. Up or below the min and max values of the list given, default stepping is used.